package com.sw.mes.jip.enums;

import com.sw.mes.core.annotation.Jinko;

/**
 * jip接口关键字枚举
 */
@Jinko(value = "jip接口关键字枚举，对应jinko_jip_header_config.keyword字段",author = "liru")
public enum IFKeyWordEnums {
    //工单消耗
    WORKORDERCONSUMPTION("WorkOrderConsumption"),
    //工单收货
    WORKORDERRECEIPT("WorkOrderReceipt"),
    //物料损耗
    MATERIALLOSS("MaterialLoss"),
    //调拨同步
    TRANSFERSYNCHRONIZATION("TransferSynchronization"),
    //成本中心消耗
    COSTCENTERCONSUMPTION("CostCenterConsumption"),
    //生产订单报工时
    REPORTWORKINGHOURS("ReportWorkingHours"),
    //同步SAP的物料组
    MATERIALGROUPDATA("MaterialGroupData"),
    //同步SAP的物料
    MATERIALDATA("MaterialData"),
    //物料批次，成品收货批次（工单收货传入）
    MATERIALBATCH("MaterialBatch"),
    //同步SAP工厂信息
    FACTORY("Factory"),
    //同步库位信息
    WAREHOUSELOCATION("WarehouseLocation"),
    //成品返工车间MES接收状态回传接口
    REMESSTA("remessta"),
    //车间退料入库接口
    REMAT("remat"),
    //成品MES入库接口
    MESASN("mesasn"),
    //返工箱号车间接收/拒收状态信息接口
    REWORK("rework"),
    //库存地点查询公共接口
    PLANTSTORAGE("plantStorage"),
    //方棒信息接收
    FBINFORMATIONRECEPTION("fbInformationReception"),
    //方棒退料反馈
    FBRETURNMATERIALFEEDBACK("returnMaterialFeedBack"),
    //STO
    STO("sto"),
    //获取SAP库存
    SAPSTOCK("sapStock"),
    //获取SAP库存
    MBLNRDATA("mblnrData");

    private String keyword;

    IFKeyWordEnums(String keyword){
        this.keyword = keyword;
    }

    public String getKeyword(){
        return keyword;
    }
}
